Loading...
Searching...
No Matches
Magick::DrawablePointSize Class Reference
Inheritance diagram for Magick::DrawablePointSize:

## Public Member Functions

| DrawablePointSize (double pointSize_)
void | operator() (MagickCore::DrawingWand *context_) const
DrawableBase * | copy () const
void | pointSize (double pointSize_)
double | pointSize (void) const

## Private Attributes

double | _pointSize

## Detailed Description

Definition at line 1244 of file Drawable.h.

## Constructor & Destructor Documentation

## DrawablePointSize()

Magick::DrawablePointSize::DrawablePointSize | ( | double | pointSize_ | ) |

inline

Definition at line 1247 of file Drawable.h.

: _pointSize(pointSize_)
{ }

## ~DrawablePointSize()

Magick::DrawablePointSize::~DrawablePointSize | ( | void |  | ) |

Definition at line 907 of file Drawable.cpp.

{
}

## Member Function Documentation

## copy()

Magick::DrawableBase * Magick::DrawablePointSize::copy | ( |  | ) | const

virtual

Reimplemented from Magick::DrawableBase.

Definition at line 915 of file Drawable.cpp.

{
return new DrawablePointSize(*this);
}

## operator()()

void Magick::DrawablePointSize::operator() | ( | MagickCore::DrawingWand * | context_ | ) | const

virtual

Reimplemented from Magick::DrawableBase.

Definition at line 910 of file Drawable.cpp.

{
DrawSetFontSize( context_, _pointSize );
}

## pointSize() [1/2]

void Magick::DrawablePointSize::pointSize | ( | double | pointSize_ | ) |

inline

Definition at line 1259 of file Drawable.h.

{
_pointSize = pointSize_;
}

## pointSize() [2/2]

double Magick::DrawablePointSize::pointSize | ( | void |  | ) | const

inline

Definition at line 1263 of file Drawable.h.

{
return _pointSize;
}

## Field Documentation

## _pointSize

double Magick::DrawablePointSize::_pointSize

private

Definition at line 1269 of file Drawable.h.

The documentation for this class was generated from the following files:

- Drawable.h
- Drawable.cpp